=== debian/changelog ===
ros-iron-rmf-api-msgs (0.1.1-1jammy) jammy; urgency=high

  * Added ``unix_millis_request_time`` and ``requester`` fields to ``task_request.json`` and ``task_state.json`` (#35 <https://github.com/open-rmf/rmf_api_msgs/pull/35>)
  * Contributors: Aaron Chong, César Rolón

 -- Grey <grey@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-iron-rmf-api-msgs (0.1.0-1jammy) jammy; urgency=high

  * Update maintainer
  * Switch to rst changelog (#36 <https://github.com/open-rmf/rmf_api_msgs/pull/36>)
  * Fix typo in title of fleet_log.json (#26 <https://github.com/open-rmf/rmf_api_msgs/pull/26>)
  * Contributors: Teo Koon Peng, Yadunund

 -- Grey <grey@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-api-msgs (0.0.1-1jammy) jammy; urgency=high

  * Introduce public web API for RMF

 -- Grey <grey@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000
